Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IBillboardSceneNode Class Reference

A billboard scene node. More...

`#include <IBillboardSceneNode.h>`

Inheritance diagram for irr::scene::IBillboardSceneNode:

List of all members.

## Public Member Functions

virtual void | getColor (video::SColor &topColor, video::SColor &bottomColor) const =0
| Gets the color of the top and bottom vertices of the billboard.
virtual const core::dimension2d< f32 > & | getSize () const =0
| Returns the size of the billboard.
| IBillboardSceneNode (ISceneNode *parent, ISceneManager *mgr, s32 id, const core::vector3df &position=core::vector3df(0, 0, 0))
| Constructor.
virtual void | setColor (const video::SColor &topColor, const video::SColor &bottomColor)=0
| Set the color of the top and bottom vertices of the billboard.
virtual void | setColor (const video::SColor &overallColor)=0
| Set the color of all vertices of the billboard.
virtual void | setSize (const core::dimension2d< f32 > &size)=0
| Sets the size of the billboard.

## Detailed Description

A billboard scene node.

A billboard is like a 3d sprite: A 2d element, which always looks to the camera. It is usually used for explosions, fire, lensflares, particles and things like that.

Definition at line 20 of file IBillboardSceneNode.h.

## Constructor & Destructor Documentation

irr::scene::IBillboardSceneNode::IBillboardSceneNode | ( | ISceneNode * | parent,
|  | ISceneManager * | mgr,
|  | s32 | id,
|  | const core::vector3df & | position = `core::vector3df(0,0,0)` |
| ) |  |  | `[inline]`

Constructor.

Definition at line 25 of file IBillboardSceneNode.h.

Referenced by irr::scene::IBillboardTextSceneNode::IBillboardTextSceneNode().

## Member Function Documentation

virtual void irr::scene::IBillboardSceneNode::getColor | ( | video::SColor & | topColor,
|  | video::SColor & | bottomColor |
| ) |  |  | const`[pure virtual]`

Gets the color of the top and bottom vertices of the billboard.

Parameters:

  | topColor,: | stores the color of the top vertices
  | bottomColor,: | stores the color of the bottom vertices

Implemented in irr::scene::IBillboardTextSceneNode.

virtual const core::dimension2d<f32>& irr::scene::IBillboardSceneNode::getSize | ( |  | ) | const`[pure virtual]`

Returns the size of the billboard.

Implemented in irr::scene::IBillboardTextSceneNode.

virtual void irr::scene::IBillboardSceneNode::setColor | ( | const video::SColor & | topColor,
|  | const video::SColor & | bottomColor |
| ) |  |  | `[pure virtual]`

Set the color of the top and bottom vertices of the billboard.

Parameters:

  | topColor,: | the color to set the top vertices
  | bottomColor,: | the color to set the bottom vertices

Implemented in irr::scene::IBillboardTextSceneNode.

virtual void irr::scene::IBillboardSceneNode::setColor | ( | const video::SColor & | overallColor | ) | `[pure virtual]`

Set the color of all vertices of the billboard.

Parameters:

  | overallColor,: | the color to set

Implemented in irr::scene::IBillboardTextSceneNode.

virtual void irr::scene::IBillboardSceneNode::setSize | ( | const core::dimension2d< f32 > & | size | ) | `[pure virtual]`

Sets the size of the billboard.

Implemented in irr::scene::IBillboardTextSceneNode.

The documentation for this class was generated from the following file:

- IBillboardSceneNode.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:06 2010 by Doxygen (1.6.2)